#sp-component .blog .page-header h1 { display: none;}

body.view-category article.item .article-info-wrap .entry-header h3 { font-size: 16px; border-bottom: 1px solid #ddd; padding-bottom: 15px !important;text-transform:unset;}

body.view-category article.item .article-info-wrap { padding: 25px 17px 0; min-height: 250px; }